package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class NotificationSummary {

    @SerializedName("schedule_id")
    @Expose
    private String scheduleId;
    @SerializedName("user_type")
    @Expose
    private String userType;
    @SerializedName("lvl_id")
    @Expose
    private String lvlId;
    @SerializedName("schedule_name")
    @Expose
    private String scheduleName;
    @SerializedName("image")
    @Expose
    private String image;
    @SerializedName("trainer_id")
    @Expose
    private String trainerId;
    @SerializedName("start_date")
    @Expose
    private String startDate;
    @SerializedName("end_date")
    @Expose
    private String endDate;
    @SerializedName("assessmentname")
    @Expose
    private String assessmentname;
    @SerializedName("assessmenttime")
    @Expose
    private String assessmenttime;
    @SerializedName("randomcond")
    @Expose
    private String randomcond;
    @SerializedName("ques_count")
    @Expose
    private String quesCount;
    @SerializedName("location")
    @Expose
    private String location;
    @SerializedName("assessment_type")
    @Expose
    private String assessmentType;
    @SerializedName("buffer_day")
    @Expose
    private String bufferDay;
    @SerializedName("filter_zone")
    @Expose
    private String filterZone;
    @SerializedName("filter_region")
    @Expose
    private String filterRegion;
    @SerializedName("filter_dealer")
    @Expose
    private String filterDealer;
    @SerializedName("travel_desc")
    @Expose
    private String travelDesc;
    @SerializedName("hotel_desc")
    @Expose
    private String hotelDesc;
    @SerializedName("venue_type")
    @Expose
    private String venueType;
    @SerializedName("venue_am")
    @Expose
    private String venueAm;
    @SerializedName("venue_dealer")
    @Expose
    private String venueDealer;
    @SerializedName("venue_address")
    @Expose
    private String venueAddress;
    @SerializedName("is_feedback")
    @Expose
    private String isFeedback;
    @SerializedName("cancel_or_reschedule_type")
    @Expose
    private String cancelOrRescheduleType;
    @SerializedName("reschedule_status")
    @Expose
    private String rescheduleStatus;
    @SerializedName("is_deleted")
    @Expose
    private String isDeleted;
    @SerializedName("status")
    @Expose
    private String status;
    @SerializedName("created_on")
    @Expose
    private String createdOn;
    @SerializedName("modified_on")
    @Expose
    private String modifiedOn;
    @SerializedName("title")
    @Expose
    private String title;
    @SerializedName("organizer_name")
    @Expose
    private String organizerName;
    @SerializedName("startdate")
    @Expose
    private String startdate;
    @SerializedName("starttime")
    @Expose
    private String starttime;
    @SerializedName("enddate")
    @Expose
    private String enddate;
    @SerializedName("endtime")
    @Expose
    private String endtime;
    @SerializedName("training_days")
    @Expose
    private Integer trainingDays;
    @SerializedName("current_day")
    @Expose
    private Integer currentDay;
    @SerializedName("training_completed")
    @Expose
    private Boolean trainingCompleted;
    @SerializedName("participant")
    @Expose
    private List<Participant> participant = null;
    @SerializedName("assessment")
    @Expose
    private List<Object> assessment = null;

    public String getScheduleId() {
        return scheduleId;
    }

    public void setScheduleId(String scheduleId) {
        this.scheduleId = scheduleId;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getLvlId() {
        return lvlId;
    }

    public void setLvlId(String lvlId) {
        this.lvlId = lvlId;
    }

    public String getScheduleName() {
        return scheduleName;
    }

    public void setScheduleName(String scheduleName) {
        this.scheduleName = scheduleName;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getTrainerId() {
        return trainerId;
    }

    public void setTrainerId(String trainerId) {
        this.trainerId = trainerId;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getAssessmentname() {
        return assessmentname;
    }

    public void setAssessmentname(String assessmentname) {
        this.assessmentname = assessmentname;
    }

    public String getAssessmenttime() {
        return assessmenttime;
    }

    public void setAssessmenttime(String assessmenttime) {
        this.assessmenttime = assessmenttime;
    }

    public String getRandomcond() {
        return randomcond;
    }

    public void setRandomcond(String randomcond) {
        this.randomcond = randomcond;
    }

    public String getQuesCount() {
        return quesCount;
    }

    public void setQuesCount(String quesCount) {
        this.quesCount = quesCount;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAssessmentType() {
        return assessmentType;
    }

    public void setAssessmentType(String assessmentType) {
        this.assessmentType = assessmentType;
    }

    public String getBufferDay() {
        return bufferDay;
    }

    public void setBufferDay(String bufferDay) {
        this.bufferDay = bufferDay;
    }

    public String getFilterZone() {
        return filterZone;
    }

    public void setFilterZone(String filterZone) {
        this.filterZone = filterZone;
    }

    public String getFilterRegion() {
        return filterRegion;
    }

    public void setFilterRegion(String filterRegion) {
        this.filterRegion = filterRegion;
    }

    public String getFilterDealer() {
        return filterDealer;
    }

    public void setFilterDealer(String filterDealer) {
        this.filterDealer = filterDealer;
    }

    public String getTravelDesc() {
        return travelDesc;
    }

    public void setTravelDesc(String travelDesc) {
        this.travelDesc = travelDesc;
    }

    public String getHotelDesc() {
        return hotelDesc;
    }

    public void setHotelDesc(String hotelDesc) {
        this.hotelDesc = hotelDesc;
    }

    public String getVenueType() {
        return venueType;
    }

    public void setVenueType(String venueType) {
        this.venueType = venueType;
    }

    public String getVenueAm() {
        return venueAm;
    }

    public void setVenueAm(String venueAm) {
        this.venueAm = venueAm;
    }

    public String getVenueDealer() {
        return venueDealer;
    }

    public void setVenueDealer(String venueDealer) {
        this.venueDealer = venueDealer;
    }

    public String getVenueAddress() {
        return venueAddress;
    }

    public void setVenueAddress(String venueAddress) {
        this.venueAddress = venueAddress;
    }

    public String getIsFeedback() {
        return isFeedback;
    }

    public void setIsFeedback(String isFeedback) {
        this.isFeedback = isFeedback;
    }

    public String getCancelOrRescheduleType() {
        return cancelOrRescheduleType;
    }

    public void setCancelOrRescheduleType(String cancelOrRescheduleType) {
        this.cancelOrRescheduleType = cancelOrRescheduleType;
    }

    public String getRescheduleStatus() {
        return rescheduleStatus;
    }

    public void setRescheduleStatus(String rescheduleStatus) {
        this.rescheduleStatus = rescheduleStatus;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(String createdOn) {
        this.createdOn = createdOn;
    }

    public String getModifiedOn() {
        return modifiedOn;
    }

    public void setModifiedOn(String modifiedOn) {
        this.modifiedOn = modifiedOn;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getOrganizerName() {
        return organizerName;
    }

    public void setOrganizerName(String organizerName) {
        this.organizerName = organizerName;
    }

    public String getStartdate() {
        return startdate;
    }

    public void setStartdate(String startdate) {
        this.startdate = startdate;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEnddate() {
        return enddate;
    }

    public void setEnddate(String enddate) {
        this.enddate = enddate;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public Integer getTrainingDays() {
        return trainingDays;
    }

    public void setTrainingDays(Integer trainingDays) {
        this.trainingDays = trainingDays;
    }

    public Integer getCurrentDay() {
        return currentDay;
    }

    public void setCurrentDay(Integer currentDay) {
        this.currentDay = currentDay;
    }

    public Boolean getTrainingCompleted() {
        return trainingCompleted;
    }

    public void setTrainingCompleted(Boolean trainingCompleted) {
        this.trainingCompleted = trainingCompleted;
    }

    public List<Participant> getParticipant() {
        return participant;
    }

    public void setParticipant(List<Participant> participant) {
        this.participant = participant;
    }

    public List<Object> getAssessment() {
        return assessment;
    }

    public void setAssessment(List<Object> assessment) {
        this.assessment = assessment;
    }

}
